Bug 135199 - Label support for fstab entries
Summary: Label support for fstab entries
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: hal   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Zeuthen
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-10 03:23 UTC by Ricardo Veguilla
Modified: 2013-03-06 03:41 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-15 22:43:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ricardo Veguilla 2004-10-10 03:23:13 UTC
For labeled partitions, kudzu should use the LABEL when writing the
fstab entry. For example, if an ext3 partition labeled "DATA" is
found, kudzu should add the following entry to fstab 

LABEL=DATA      /media/DATA   ext3   options X X

Comment 1 David Zeuthen 2004-10-15 22:43:37 UTC
Actually, hal and fstab-sync will now do this by default if the label
meets certain criteria:

 1. There needs to be a label
 2. The label must be ASCII
 3. The label must not be an absolute path (e.g. /home)

Also, characters that is not alpha nor digits will be converted to _.

This is in hal-0.4.0-3.





Note You need to log in before you can comment on or make changes to this bug.